/*
 * This file is part of decoding
 * Copyright 2012  Guillaume Quintin, INRIA
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#include <decoding/algos/array.c>
#include <decoding/algos/dbpol_horner.c>
#include <decoding/algos/dbpol_mul_by_affine.c>
#include <decoding/algos/dbpol_mul_by_upol.c>
#include <decoding/algos/dbpol_mul_by_Y.c>
#include <decoding/algos/dbpol_mul.c>
#include <decoding/algos/dbpol_print.c>
#include <decoding/algos/dbpol_random.c>
#include <decoding/algos/dbpol_replace_X_by_XY.c>
#include <decoding/algos/dbpol_shift_fast.c>
#include <decoding/algos/dbpol_shift.c>
#include <decoding/algos/dbpol_shift_in_X.c>
#include <decoding/algos/dbpol_Xroots.c>
#include <decoding/algos/koetter.c>
#include <decoding/algos/linked_list_vec.c>
#include <decoding/algos/mat.c>
#include <decoding/algos/memory.c>
#include <decoding/algos/print.c>
#include <decoding/algos/upol_eucldiv.c>
#include <decoding/algos/upol_gcd.c>
#include <decoding/algos/upol_horner.c>
#include <decoding/algos/upol_mul_by_affine.c>
#include <decoding/algos/upol_mul_by_X.c>
#include <decoding/algos/upol_mul.c>
#include <decoding/algos/upol_normalize.c>
#include <decoding/algos/upol_print.c>
#include <decoding/algos/upol_random.c>
#include <decoding/algos/upol_roots.c>
#include <decoding/algos/upol_shift_fast.c>
#include <decoding/algos/upol_shift.c>
#include <decoding/algos/upol_square.c>
#include <decoding/algos/utils.c>
#include <decoding/algos/vec.c>
#include <decoding/algos/upol_prod_affine.c>
#include <decoding/algos/dbpol_upol_map_XtoY.c>

/* time to undef some stuff */

#ifdef PRIME
#undef PRIME
#endif

